<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if ($_ERRORS == true) {
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin'])) {
    header("location: logout.php");
    exit;
}

if (isset($_POST['add_account'])) {
    $sql = "INSERT INTO stremio_debrid (";
    $sql .= "debrid_service, ";
    $sql .= "key) ";
    $sql .= "VALUES (";
    $sql .= "'" . $_POST['debrid_service'] . "', ";
    $sql .= "'" . $_POST['add-key'] . "');";
    $sqlite3->exec($sql);

    header("Location: stremio_debrid.php");
    exit;
}

if (isset($_POST['edit_account'])) {
    $sql = "UPDATE stremio_debrid SET ";
    $sql .= "debrid_service = '" . $_POST['debrid_service'] . "', ";
    $sql .= "key = '" . $_POST['edit-key'] . "' ";
    $sql .= "WHERE id = " . $_POST['edit-id'] . ";";
    $sqlite3->exec($sql);

    header("Location: stremio_debrid.php");
    exit;
}

if (isset($_POST['delete_account'])) {
    $sql = "DELETE FROM stremio_debrid ";
    $sql .= "WHERE id = " . $_POST['delete-id'] . ";";
    $sqlite3->exec($sql);

    header("Location: stremio_debrid.php");
    exit;
}
?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="password">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0">Stremio</h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Applications</a></li>
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Stremio</a></li>
                                        <li class="breadcrumb-item active">Debrid Keys</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card h-100">
                                <div class="card-body">

                                    <h4 class="card-title">Debrid Keys</h4>
                                    <p class="card-title-desc">
                                        <a data-toggle="modal" data-target="#add-modal" class="add-button btn-sm btn-secondary float-right"><i class="dripicons-document-new"></i> Add New Key</a>
                                    </p>

                                    <br />

                                    <div class="table-responsive">
                                        <table id="datatable-buttons" class="table table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Service</th>
                                                    <th>Key</th>
                                                    <th></th>
                                                </tr>
                                            </thead>
                                            <?php while ($row = $stremio_debrid_table->fetchArray()) { ?>
                                                <tr>
                                                    <td><?php echo $row['id']; ?></td>
                                                    <td><?php echo $row['debrid_service']; ?></td>
                                                    <td><?php echo $row['key']; ?></td>
                                                    </td>
                                                    <td>
                                                        <button type="button" data-toggle="modal" data-target="#edit-modal" class="edit-button btn-sm btn-primary waves-effect waves-light"><i class="dripicons-document-edit"></i></button>
                                                        <button type="button" data-toggle="modal" data-target="#delete-modal" class="delete-button btn-sm btn-danger waves-effect waves-light"><i class="dripicons-trash"></i></button>
                                                    </td>
                                                </tr>
                                            <?php } ?>
                                        </table>
                                    </div>

                                    <div class="modal fade" id="add-modal" tabindex="-1" role="dialog" aria-labelledby="addModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header border-bottom-0">
                                                    <h5 class="modal-title" id="addModalLabel">Add Debrid Key</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span class="text-danger" aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <form method="POST">
                                                    <div class="modal-body">
                                                        <div class="form-group">
                                                            <label for="debrid_service">Select Debrid Service</label>
                                                            <select name="debrid_service" id="debrid_service" class="form-control">
                                                                <option value="">Select Service</option>
                                                                <option value="premiumize">Premiumize</option>
                                                                <option value="realdebrid">RealDebrid</option>
                                                                <option value="alldebrid">AllDebrid</option>
                                                                <option value="debridlink">DebridLink</option>
                                                                <option value="offcloud">OffCloud</option>
                                                            </select>
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="add-key">Key</label>
                                                            <input type="text" class="form-control" id="add-key" name="add-key" placeholder="Enter Key">
                                                            <small id="add-key-small" class="form-text text-muted"><em>api Key.</em></small>
                                                            <ul>
                                                                <li>
                                                                    <a href="https://www.premiumize.me/account" target="_blank">Premiumize Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://real-debrid.com/apitoken" target="_blank">RealDebrid Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://alldebrid.com/apikeys" target="_blank">AllDebrid Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://debrid-link.fr/webapp/apikey" target="_blank">DebridLink Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://offcloud.com/#/account" target="_blank">OffCloud Key</a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer text-center mt-4">
                                                        <button type="submit" name="add_account" class="btn-sm btn-primary">Submit</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal fade" id="edit-modal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header border-bottom-0">
                                                    <h5 class="modal-title" id="editModalLabel">Edit Debrid Key</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span class="text-danger" aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <form method="POST">
                                                    <div class="modal-body">
                                                        <div class="input-group row" hidden>
                                                            <input type="text" class="form-control" id="edit-id" name="edit-id">
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="debrid_service">Theme Default Layout</label>
                                                            <select name="debrid_service" id="debrid_service" class="form-control">
                                                                <option value="">Select Service</option>
                                                                <option value="premiumize">Premiumize</option>
                                                                <option value="realdebrid">RealDebrid</option>
                                                                <option value="alldebrid">AllDebrid</option>
                                                                <option value="debridlink">DebridLink</option>
                                                                <option value="offcloud">OffCloud</option>
                                                            </select>
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="edit-key">debrid Key</label>
                                                            <input type="text" class="form-control" id="edit-key" name="edit-key" placeholder="Enter Key">
                                                            <small id="edit-key-small" class="form-text text-muted"><em>api Key.</em></small>
                                                            <ul>
                                                                <li>
                                                                    <a href="https://www.premiumize.me/account" target="_blank">Premiumize Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://real-debrid.com/apitoken" target="_blank">RealDebrid Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://alldebrid.com/apikeys" target="_blank">AllDebrid Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://debrid-link.fr/webapp/apikey" target="_blank">DebridLink Key</a>
                                                                </li>
                                                                <li>
                                                                    <a href="https://offcloud.com/#/account" target="_blank">OffCloud Key</a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer text-center mt-4">
                                                        <button type="submit" name="edit_account" class="btn-sm btn-primary">Save</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal fade" id="delete-modal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header border-bottom-0">
                                                    <h5 class="modal-title" id="deleteModalLabel">Delete Debrid Key</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span class="text-danger" aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <form method="POST">
                                                    <div class="modal-body">
                                                        <div class="form-group" hidden>
                                                            <input type="text" class="form-control" id="delete-id" name="delete-id">
                                                        </div>
                                                        <h3 class="text-center mt-4">Are you sure?</h3>
                                                    </div>
                                                    <div class="modal-footer text-center mt-4">
                                                        <button type="submit" name="delete_account" class="btn-sm btn-danger">Delete</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    <script>
                                        $(function() {
                                            $(".edit-button").on('click', function() {
                                                var currentRow = $(this).closest("tr");
                                                var id = currentRow.find("td:eq(0)").text();
                                                var key = currentRow.find("td:eq(1)").text();
                                                $("#edit-id").val(id);
                                                $("#edit-key").val(username);
                                            });
                                            $(".delete-button").on('click', function() {
                                                var currentRow = $(this).closest("tr");
                                                var id = currentRow.find("td:eq(0)").text();
                                                $("#delete-id").val(id);
                                            });
                                        });
                                    </script>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>